import Layout from '@/layout'
import roles from '@/constant/permissions' //引用权限值
const buyLimit = roles.buyLimit;

const buyLimitRouter = {
  path: '/buy-limit',
  component: Layout,
  sort: 105,
  name: '触发限购记录',
  redirect: '/buy-limit/buy-limit',
  meta: {
    title: '触发限购记录',
    icon: 'el-icon-document',
    iconSize: 20,
  },
  children: [
    {
      path: 'buy-limit',
      name: 'PageLimitIndex',
      component: () => import('@/viewsLimit/index'),
      meta: {
        title: '触发限购记录',
        icon: 'el-icon-document',
      },
      roles: [buyLimit.getLimitLogs]
    },

  ]
}

export default buyLimitRouter
