'use strict';
const resolve = dir => require('path').join(__dirname, dir);

module.exports = {
  buildTemplateDirectory: resolve('./template'),
  buildComponentsDirectory: resolve('../src/components/'),
  buildCustomComponentsDirectory: resolve('../src/components/custom'),
  buildDistDirectory: resolve('./../dist'),
  storeDirectory: resolve('../src/store'),
  mixinsDirectory: resolve('../src/mixins'),
  apiDirectory: resolve('../src/api'),
  routerDirectory: resolve('../src/router'),
  apiUrlDirectory: resolve('../src/apiurl'),
  rolesDirectory: resolve('../src/constant'),
  viewsDirectory: resolve('../src/views'),
  schemasDirectory: resolve('../schemas'),
  entryDirectory: resolve('../public'),
  srcDirectory: resolve('../src'),
  packageDirectory: resolve('../package.json'),
  viewsBase: '@/views/',
  logDir: resolve('./log'),
  buildDir: resolve('./'),
  rootDir: resolve('../'),
  mapConfig: resolve('../map.config.js')
};
