

## XdNumberUni 数字输入框
> **组件名：xd-number**
> 代码块： `XdNumber`


带加减按钮的数字输入框。

### 基本用法

在 ``template`` 中使用组件

```html
<xd-number></xd-number>
<xd-number v-model="vModelValue" />
<xd-number :min="0" :max="9"></xd-number>
<xd-number @change="bindChange"></xd-number>
```

## API

### NumberBox Props

|属性名				|类型		|默认值	|说明										|
|:-:					|:-:		|:-:		|:-:										|
|value/v-model|Number	|0			|输入框当前值						|
|min					|Number	|0			|最小值									|
|max					|Number	|100		|最大值									|
|step					|Number	|1			|每次点击改变的间隔大小	|
|disabled			|Boolean|false	|是否为禁用状态					|
|width			|Number|180	|区域插件宽度				|

### NumberBox Events

|事件名称	|说明																				|返回值	|
|:-:		|:-:																				|:-:		|
|change	|输入框值改变时触发的事件，参数为输入框当前的 value	|-			|
|focus	|输入框聚焦时触发的事件，参数为 event 对象	|-			|
|blur	|输入框失焦时触发的事件，参数为 event 对象	|-			|


