'use strict';
module.exports = {
  name: "supplierStat",
  title: "供应商统计",
  vuex: true,
  model: [
    {
      title: "统计-供应商统计-累计统计",
      mapFn: "totalCounts",
      path: "/stat-partner/v1/supplier-stat/total-counts",
      isRule: false,
      params: {},
      disabled: true,
      role: "STAT-PARTNER.SUPPLIER_STAT_TOTAL_COUNTS"
    },
    {
      title: "统计-供应商统计-累计统计刷新",
      mapFn: "refreshTotalCounts",
      path: "/stat-partner/v1/supplier-stat/total-counts-refresh",
      isRule: false,
      params: {},
      disabled: true
    },
    {
      title: "统计-供应商统计-商品周期数量",
      mapFn: "productCycCounts",
      path: "/stat-partner/v1/supplier/product-cyc-counts",
      isRule: false,
      params: {},
      disabled: true,
      role: "STAT-PARTNER.SUPPLIER_PRODUCT_CYC_COUNTS"
    },
    {
      title: "统计-供应商统计-供应商周期数量",
      mapFn: "supplierCycCounts",
      path: "/stat-partner/v1/supplier-stat/supplier-cyc-counts",
      isRule: false,
      params: {},
      disabled: true,
      role: "STAT-PARTNER.SUPPLIER_STAT_SUPPLIER_CYC_COUNTS"
    },
    {
      title: "统计-供应商统计-供应商销售数据",
      mapFn: "supplierCycSales",
      path: "/stat-partner/v1/supplier-stat/supplier-cyc-sales",
      isRule: false,
      params: {},
      disabled: true,
      role: "STAT-PARTNER.SUPPLIER_STAT_SUPPLIER_CYC_SALES"
    },
    {
      title: "统计-供应商统计-商品销售数据",
      mapFn: "productCycSales",
      path: "/stat-partner/v1/supplier-stat/product-cyc-sales",
      isRule: false,
      params: {},
      disabled: true,
      role: "STAT-PARTNER.SUPPLIER_STAT_PRODUCT_CYC_SALES"
    },
    {
      title: "统计-供应商统计-商品分类销售数据",
      mapFn: "productCategoryCycSales",
      path: "/stat-partner/v1/supplier-stat/product-category-cyc-sales",
      isRule: false,
      params: {},
      disabled: true,
      role: "STAT-PARTNER.SUPPLIER_STAT_PRODUCT_CATEGORY_CYC_SALES"
    }
  ]
}